Skip to main content
POST
Queue a CSV export of donors (async)

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

hysform_id
required

Donor form to export, or the literal string all for every donor in the caller's client.

Query Parameters

archived
boolean

When truthy, the job exports archived (soft-deleted) donors. Defaults to false.

Body

application/json

Any extra body parameters (filters, column overrides, etc.) are forwarded to the export job verbatim.

The body is of type object.

Response

Export queued.

message
string
Example:

"Export initiated successfully. You will get a notification in Activity when the CSV is ready to download."

status
string
Example:

"queued"

export_id
integer

Upload.id — use with donorExportStatus and downloadDonorExport.

Example:

512

status_url
string
Example:

"/admin/donors/exports/512/status"